<?php
namespace Ep\Core;

use Psr\Log\LoggerInterface;
use Zend\ServiceManager\Factory\InvokableFactory;

/**
 * Pruža osnovnu konfiguraciju sustava.
 *
 * @package Ep\Core
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
	public function __invoke()
	{
		return [
			'dependencies' => $this->getDependencyConfig(),
		];
	}

	/**
	 * Vraća konfiguraciju service managera.
	 *
	 * @return array
	 */
	public function getDependencyConfig()
	{
		return [
			'aliases' => [
				'ExceptionHandler' => ExceptionHandler::class,
				'Log' => LoggerInterface::class,
			],
			'factories' => [
				ExceptionHandler::class => InvokableFactory::class,
				LoggerInterface::class => LoggerFactory::class,
			],
			'abstract_factories' => [
				AbstractFactory::class,
			],
		];
	}
}